Kerbal Space Program - Bug #19428

Updating missions on the workshop can sometimes fail.
07/22/2018 11:34 PM - Lupi

Status: Closed Start date: 07/22/2018
Severity: Low % Done: 100%
Assignee:

Category: Steam

Target version: 1.5.0

Version: 1.4.4 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game, Making History

Description

If updating a mission, more specifically updating a mission with the [DLC Required] tag targeting Making History on the Workshop
page, the upload will fail, and it will instead create a new workshop item.

This causes the initial mission to lose lock with the initial workshop item, preventing the user from updating their mission without
editing the steamPublishedFilelD value in persistent.mission to that of the original workshop item.

History

#1 - 07/22/2018 11:34 PM - JPLRepo
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#3 - 07/22/2018 11:40 PM - JPLRepo

There is a workaround described here on the forum:
https:/forum.kerbalspaceprogram.com/index.php?/topic/176892-steam-workshop-no-option-to-update/&do=findComment&comment=3420389

#4 - 10/15/2018 04:51 PM - joshua.collins
- Status changed from Confirmed to Ready to Test
- Target version set to 1.5.0

- % Done changed from 10 to 80

Please check again in 1.5.0

#5 - 12/20/2018 08:04 PM - joshua.collins
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

#6 - 12/20/2018 08:04 PM - joshua.collins

- Status changed from Resolved to Closed
